List agent configs
GET
/v1/agentconfig/
const url = 'https://example.com/v1/agentconfig/';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/v1/agentconfig/ \ --header 'Authorization: Bearer <token>'Return all agent configurations.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”account_config
string format: uuid
agent_type
string format: uuid
cursor
string
The pagination cursor value.
page_size
integer
Number of results to return per page.
search
string
A search term.
Responses
Section titled “Responses”Media typeapplication/json
object
next
string format: uri
previous
string format: uri
results
required
Array<object>
A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
account_config
required
string format: uuid
agent_type
required
string format: uuid
id
required
string format: uuid
metrics_allowlist
required
string
metrics_resolution
required
integer
Example
{ "next": "http://api.example.org/accounts/?cursor=cD00ODY%3D\"", "previous": "http://api.example.org/accounts/?cursor=cj0xJnA9NDg3"}